{% extends "master.twig" %}

{% block title %}Register{% endblock %}
{% block description %}SFNW Omnibus – create an account{% endblock %}
{% block header %}<script src='https://www.google.com/recaptcha/api.js'></script>{% endblock %}

{% block body %}

    <div class="row"></div>

    <div class="four wide computer fourteen wide tablet fifteen wide mobile column">

        {% if message.body is not empty %}
            <div class="ui {{ message.type }} message">
                <i class="close icon"></i>
                <div class="header">
                    {{ message.header }}
                </div>
                {{ message.body|raw }}
            </div>
        {% endif %}

        <form class="ui raised segment form" action="/register" method="post">

            <div class="ui error message"></div>

            <div class="field">
                <label>Login</label>
                <input name="login" placeholder="Login" type="text" required>
            </div>

            <div class="field">
                <label>Password</label>
                <div class="ui action input">
                    <input name="password" type="password" id="pass" required>
                    <button class="ui icon button" type="button" data-content="Generate random password"
                            onclick='insertPassword(6, 2, 4, "pass")'>
                        <i class="random icon"></i>
                    </button>
                    <button class="ui icon button" type="button" data-content="Show/hide password" id="showhide"
                            onclick="toggle_password('pass')">
                        <i class="grey eye icon"></i>
                    </button>
                </div>
            </div>

            <div class="field">
                <label>Email</label>
                <input name="email" placeholder="Email" type="text" required>
            </div>

            <div class="field">
                <div class="ui toggle checkbox">
                    <input name="privacy" type="checkbox" tabindex="0" class="hidden" required>
                    <label>I agree to the <a id="privacy-link" style="z-index: 999;">Privacy Policy</a></label>
                </div>
            </div>

            <div class="field">
                <div class="ui toggle checkbox">
                    <input name="terms" type="checkbox" tabindex="0" class="hidden" required>
                    <label>I agree to the <a id="tos-link" style="z-index: 999;">Terms and Conditions</a></label>
                </div>
            </div>

            <input type="hidden" name="token" value="{{ token }}">

            <div class="field">
                <label>Captcha</label>
                <div class="g-recaptcha" data-sitekey="6Ld0E0UUAAAAAHXWkvz3rj08Xq5jQhOa22APysTC"></div>
            </div>

            <button class="ui fluid button" type="submit">Submit</button>
        </form>
    </div>

    <div class="ui longer modal" id="policy">
        <div class="header">Privacy policy</div>
        <div class="scrolling content">
            {{ privacy|md|raw }}
        </div>
    </div>

    <div class="ui longer modal" id="terms">
        <div class="header">Terms and Conditions</div>
        <div class="scrolling content">
            {{ terms|md|raw }}
        </div>
    </div>

    <script async src="{{ asset('assets/js/showpass.min.js') }}"></script>
    <script async src="{{ asset('assets/js/passgen.min.js') }}"></script>
    <script defer src="{{ asset('assets/js/register.min.js') }}"></script>


{% endblock %}
